"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isATTPrefabHash = void 0;
const constants_js_1 = require("../constants.js");
/**
 * Asserts if a `number` is an [`ATTPrefabHash`](https://github.com/mdingena/att-string-transcoder/tree/main/docs/ATTPrefabHash.md).
 *
 * @example
 * import { isATTPrefabHash } from 'att-string-transcoder';
 *
 * const prefabHash = 23182;
 * // `prefabHash` is of type `number`.
 *
 * if (isATTPrefabHash(prefabHash)) {
 *   // `prefabHash` is of type `ATTPrefabHash`.
 * }
 */
function isATTPrefabHash(hash) {
    return constants_js_1.attPrefabHashes.includes(hash);
}
exports.isATTPrefabHash = isATTPrefabHash;
