"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isATTPrefabName = void 0;
const ATTPrefabs_js_1 = require("../types/ATTPrefabs.js");
/**
 * Asserts if a `string` is an [`ATTPrefabName`](https://github.com/mdingena/att-string-transcoder/tree/main/docs/ATTPrefabName.md).
 *
 * @example
 * import { isATTPrefabName } from 'att-string-transcoder';
 *
 * const prefabName = 'Anvil';
 * // `prefabName` is of type `string`.
 *
 * if (isATTPrefabName(prefabName)) {
 *   // `prefabName` is of type `ATTPrefabName`.
 * }
 */
function isATTPrefabName(name) {
    return name in ATTPrefabs_js_1.ATTPrefabs;
}
exports.isATTPrefabName = isATTPrefabName;
