"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isUnknownComponent = void 0;
/**
 * Asserts if a `component` is an [`UnsupportedComponent`](https://github.com/mdingena/att-string-transcoder/tree/main/docs/UnsupportedComponent.md).
 *
 * @example
 * import { isUnknownComponent } from 'att-string-transcoder';
 *
 * if (isUnknownComponent(component)) {
 *   // `component` is of type `UnsupportedComponent`.
 * }
 */
function isUnknownComponent(component) {
    return component.name === 'Unknown';
}
exports.isUnknownComponent = isUnknownComponent;
