import type { ATTPrefabHash } from '../types/ATTPrefabHash.js';
import type { ATTPrefabName } from '../types/ATTPrefabName.js';
import type { SupportedPrefabComponents } from '../types/SupportedPrefabComponents.js';
/**
 * Returns whether or not the given component name belongs to a component that is normally savable
 * on the given prefab hash or name.
 *
 * @example
 * import { isSavableComponent } from 'att-string-transcoder';
 *
 * if (isSavableComponent('NetworkRigidbody', 'Handle_Short')) {
 *   // `Handle_Short` can save `NetworkRigidbody` component data.
 * }
 */
export declare function isSavableComponent(componentName: keyof SupportedPrefabComponents, prefabName: ATTPrefabName): boolean;
export declare function isSavableComponent(componentName: keyof SupportedPrefabComponents, prefabHash: ATTPrefabHash): boolean;
