import type { BinaryReader } from '../BinaryReader.js';
import type { Component } from '../components/Component.js';
/**
 * Reads next component from the given `BinaryReader` and returns a `Component` instance.
 *
 * @example
 * import { BinaryReader, readChildren } from 'att-string-transcoder';
 *
 * const reader = new BinaryReader('...');
 * const hash = 2290978823;
 * const name = 'NetworkRigidbody';
 * const version = 1;
 *
 * const component = readComponent(reader, hash, name, version);
 */
export declare function readComponent(reader: BinaryReader, hash: number, name: string, version: number): Component;
